# forgetMemoryNote

Memory: forget a note, with an optional `reason`. It moves to "Show retired" (getMemorySubjectNotes `retired: true`); restoreMemoryNote brings it back.

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "forgetMemoryNote", "variables": {...} }`
- Scope: `WRITE`
- Type: mutation
- Idempotency: honors `Idempotency-Key` (24 h)
- Rate-limited: no

## Variables

- `noteId`: `ID!` (required)
- `reason`: `String`

## Response (data, an example)

```json
{
  "spacesMutation": {
    "memoryForgetNote": true
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "operationId": "forgetMemoryNote",
    "variables": {
      "noteId": "<noteId>"
    }
  }'
```
